﻿CREATE TABLE [dbo].[CustomerUserNotes] (
    [Id]               UNIQUEIDENTIFIER NOT NULL,
    [UserId]           UNIQUEIDENTIFIER NOT NULL,
    [ProjectId]        UNIQUEIDENTIFIER NOT NULL,
    [Module]           NVARCHAR (512)   NOT NULL,
    [CompanyId]        UNIQUEIDENTIFIER NULL,
    [MarketID]         UNIQUEIDENTIFIER NULL,
    [TrendID]          UNIQUEIDENTIFIER NULL,
    [Notes]            NVARCHAR (1000)  NOT NULL,
    [CreatedOn]        DATETIME2 (7)    NULL,
    [UserCreatedById]  UNIQUEIDENTIFIER NULL,
    [ModifiedOn]       DATETIME2 (7)    NULL,
    [UserModifiedById] UNIQUEIDENTIFIER NULL,
    [IsDeleted]        BIT              NOT NULL,
    [DeletedOn]        DATETIME2 (7)    NULL,
    [UserDeletedById]  UNIQUEIDENTIFIER NULL,
    CONSTRAINT [PK_CustomerUserNotes] PRIMARY KEY CLUSTERED ([Id] ASC),
    CONSTRAINT [FK_CustomerUserNotes_AviraUser] FOREIGN KEY ([UserCreatedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_CustomerUserNotes_AviraUser1] FOREIGN KEY ([UserModifiedById]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_CustomerUserNotes_Company] FOREIGN KEY ([CompanyId]) REFERENCES [dbo].[Company] ([Id]),
    CONSTRAINT [FK_CustomerUserNotes_CustomerUser] FOREIGN KEY ([UserId]) REFERENCES [dbo].[AviraUser] ([Id]),
    CONSTRAINT [FK_CustomerUserNotes_Market] FOREIGN KEY ([MarketID]) REFERENCES [dbo].[Market] ([Id]),
    CONSTRAINT [FK_CustomerUserNotes_Project] FOREIGN KEY ([ProjectId]) REFERENCES [dbo].[Project] ([ID])
);

